Skip to main content

Create event for a lead

POSThttps://api.propexo.com/v1/events/leads

Create a lead event for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    lead_idstring

    The Propexo unique identifier for the lead

    event_type_idstring

    The Propexo unique identifier for the event type

    event_result_idstring

    The Propexo unique identifier for the event result

    event_sub_type_idstring

    The Propexo unique identifier for the event sub type

    employee_idstring

    The Propexo unique identifier for the employee

    unit_idstring

    The Propexo unique identifier for the unit. Only some PMS events use this, including "Show" and "Appointment"

    event_datetimestring<date-time>

    The date when the event will occur

    reasons_for_eventstring

    The reasons for the event

    notesstring

    Notes associated with the event

    Possible values: <= 256 characters

    appointment_datetimestring<date-time>

    The date when the appointment will occur

    time_fromstring
    time_tostring
    titlestring

    The title associated with the event

    call_phone_number_fromstring

    The phone number that the call was made from. Required for call event types.

    call_phone_number_tostring

    The phone number that the call was received on. Required for call event types.

    call_statusstring

    The status of the call. Required for call event types.

    Show 7 enum values
    BUSYABANDONEDDISCONNECTEDFAILURE_TO_CONNECTNO_ANSWERANSWERVOICEMAIL
    call_durationinteger

    The duration of the call in seconds. Required for call event types.

    Possible values: >= 0 and <= 86400

    call_audio_linkstring<uri>

    The URL of the audio file for the call. This can be any valid URL and doesn't necessarily need to link to a audio file. Required for call event types.

    email_bodystring

    The body of the email.

    email_subjectstring

    The subject of the email.

    email_fromstring

    The email address that the email was sent from. Required for email outgoing event types.

    email_tostring

    The email address that the email was sent to. If specified, this must be the same email address as the lead's primary email address

    email_ccstring

    The carbon copy email address that the email was sent to.

    email_bccstring

    The blind carbon copy email address that the email was sent to.

    email_sendboolean

    Whether the email should be sent.

    statusstring

    The status associated with the event

    Show 5 enum values
    LEASEDLOSTUNQUALIFIEDACTIVEFUTURE
    event_namestring

    The name or type of event

    Show 20 enum values
    CallToProspectCallFromProspectOtherWalkInChatEmailWebserviceAppointmentShowApplicationSelfGuidedTourApplicationApproveCancelApplicationApplicationDeniedHoldCancelAppointmentLeaseSignReleaseReturnVisit
    call_recording_urlstring<uri>

    Call Recording URL of the appointment

    lead_source_idstring

    The Propexo unique identifier for the lead source

    agent_namestring

    The name of the leasing agent associated with the event

    rent_amount_in_centsnumber

    The rent amount in cents for the event. Required for LeaseSign event

    Possible values: >= 0

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/leads
curl -X POST https://api.propexo.com/v1/events/leads \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}